#include<stdio.h>

int main(){
  
  int k, s, d, j, min=0, min2, max;
  
  scanf("%d", &k);
    
  if(k<0 || k>999){
     printf("-1\n");
    return 1;}
  
  s=k/100;
  d=(k/10)%10;
  j=k%10;
  
  min=s;
  if(s>d)
     min=d;
  if(d>j)
     min=j;
  
  max=s;
  if(d>s)
    max=d;
  if(j>d)
    max=j;
  

  min2=d;
  if((s<d && s>j) || (s>d && s<j)) 
    min2=s;
  if((j<s && j>s) || (j>d && j<s))
    min2=j;

  if(min==min2 || min==max || min2==max){
    printf("%d", min*100+max);
  }
  
  printf("%d\n", min*100+min2*10+max);
  
  
  
  
  
  return 0;
} 
